import QtQuick
import QtQuick.Controls
import QtQuick.Layouts
import QtMultimedia

import Ads
import AV
import Core
import I18n

import "../core"
import "../widgets"

/**
 * @brief Форма отображения рекламы
 */
BaseForm {
    id: root
    Style.class: "adsDisplayForm"

    Context.context {
        inputSources: InputSources.All
        fullScreen: true
    }

    ColumnLayout {
        anchors.fill: parent
        Layout.fillWidth: true
        Layout.fillHeight: true

        SGroupBox {
            Style.class: "adsDisplayFormGroupBox"
            Layout.fillHeight: true
            Layout.fillWidth: true

            SVideoOutput {
                id: videoOutput
                anchors.fill: parent
                videoSink: Context.videoSink
            }

            Action {
                    id: adsStopAction
                    command: "ADS_STOP"
            }

            MouseArea {
                z: 1
                anchors.fill: parent
                onClicked: if (Context.canBeStopped) adsStopAction.exec()
            }

            ActionButton {
                z: 3
                Style.class: "adsDisplayFormClose"
                visible: Config.getBool("Ads.DisplayForm.stopButton:visible", true) && Context.canBeStopped
                anchors {
                    bottom: parent.bottom
                    right: parent.right
                    left: parent.left

                    leftMargin: Style.layout.leftPadding
                    rightMargin: Style.layout.rightPadding
                    bottomMargin: Style.layout.bottomPadding
                }

                Tr { code: "adsStop" }
                onClicked: adsStopAction.exec();

                Layout.fillWidth: true
                implicitHeight: Style.content.height
            }
        }
    }
}
